<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        ul {
            clear: both;
            float: left;
            width: 35%;
            height: auto;
            list-style: none;
            margin: 0;
            padding: 0;
            border-left: 1px solid white;
            background-color: black;

        }

        ul li {
            border: white 1px solid;
            background-color: darkred;
            display: inline;
            float: left;
            border-radius: 6px;
            margin-right: 2px;
            margin-top: 10px;
            padding: 5px;
        }

        ul li:first-of-type {
            margin-left: 40px;
        }

        ul li a:link,
        ul li a:visited {
            padding: .3em;
            display: block;
            text-decoration: none;
            color: white;
            background-color: darkred;
        }
    </style>
</head>

<body>
    <ul>
        <li><a href="#" title="Enlace genérico">Link 1</a></li>
        <li><a href="#" title="Enlace genérico">Link 2</a></li>
        <li><a href="#" title="Enlace genérico">Link 3</a></li>
        <li><a href="#" title="Enlace genérico">Longer Link Text</a></li>
        <li><a href="#" title="Enlace genérico">Link 5</a></li>
        <li><a href="#" title="Enlace genérico">Link 6</a></li>
        <li><a href="#" title="Enlace genérico">Link 7</a></li>
    </ul>
</body>

</html>